"""Added telegram id into users table

Revision ID: b3d35e129e0f
Revises: 90fe433f1eeb
Create Date: 2023-09-14 09:32:31.414111

"""
from typing import Sequence, Union

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision: str = "b3d35e129e0f"
down_revision: Union[str, None] = "90fe433f1eeb"
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column("user", sa.Column("telegram_id", sa.String(length=32), nullable=True))
    op.create_index(op.f("ix_user_telegram_id"), "user", ["telegram_id"], unique=False)
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f("ix_user_telegram_id"), table_name="user")
    op.drop_column("user", "telegram_id")
    # ### end Alembic commands ###
